Se actualizó Google App Engine y ahora tengo un error TypeError: el objeto 'NoneType' no se puede suscribir

Actualicé GoogleAppEngineLauncher anoche y ahora recibo este error

<type 'exceptions.TypeError'>   Python 2.6.1: /usr/bin/python
Tue Nov 8 09:25:13 2011
A problem occurred in a Python script. Here is the sequence of function calls leading up to the error, in the order they occurred.

 /Applications/GoogleAppEngineLauncher.app/Contents/Resources/GoogleAppEngine-default.bundle/Contents/Resources/google_appengine/google/appengine/tools/dev_appserver.py in _HandleRequest(self=<google.appengine.tools.dev_appserver.DevAppServerRequestHandler instance at 0x114cef368>)
<type 'exceptions.TypeError'>: 'NoneType' object is unsubscriptable 
      args = ("'NoneType' object is unsubscriptable",) 
      message = "'NoneType' object is unsubscriptable"

Alguna idea de lo que está pasando?

preguntado el 08 de noviembre de 11 a las 15:11

Terminé restaurando mi GoogleAppEngineLauncher desde una copia de seguridad de la máquina del tiempo, y eso solucionó mi problema por ahora, pero no estoy seguro de por qué la actualización causó un problema. Supongo que es porque el lanzador ahora es compatible con Python 2.7. -

¿Conseguir el error dónde? ¿Cuándo hacer qué? ¿Dónde está el stacktrace? -

¿Puede agregar tanto el stacktrace como la línea de código (con contexto si es necesario) que generó la excepción? -

Lo siento, como mencioné, revirtí mi GoogleAppEngineLauncher de una copia de seguridad, así que no puedo decirte el seguimiento de la pila. Hace unos días actualicé a 2.7 sin problemas, así que estoy listo. Siento no poder ser de más ayuda. -

1 Respuestas

GAE usa Python 2.7.x si se especifica en app.yaml, 2.5.x más. Al iniciar con 2.6.x da errores impredecibles.

Respondido el 26 de enero de 12 a las 18:01

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.